import { HttpApi } from "@aws-cdk/aws-apigatewayv2-alpha";
import { Stack, StackProps } from "aws-cdk-lib";
import { CloudFrontWebDistribution, ViewerCertificate } from "aws-cdk-lib/aws-cloudfront";
import { Function } from "aws-cdk-lib/aws-lambda";
import { Construct } from "constructs";
import slsHttp from "serverless-http";
import { APIGatewayProxyEventV2, APIGatewayProxyStructuredResultV2 } from "aws-lambda";
interface NextConstructProps extends StackProps {
    customServerHandler?: string;
    customImageHandler?: string;
    cfnViewerCertificate?: ViewerCertificate;
    imageHandlerZipPath?: string;
    sharpLayerZipPath?: string;
    nextLayerZipPath?: string;
    codeZipPath: string;
    dependenciesZipPath: string;
    assetsZipPath: string;
}
declare class NextStandaloneStack extends Stack {
    private readonly cfnDistro;
    private readonly serverLambda;
    private readonly imageLambda;
    private readonly serverApigatewayProxy;
    private readonly imageApigatewayProxy;
    constructor(scope: Construct, id: string, props: NextConstructProps);
    get cloudfrontDistribution(): CloudFrontWebDistribution;
    get serverFn(): Function;
    get imageFn(): Function;
    get serverApigw(): HttpApi;
    get imageApigw(): HttpApi;
}
declare const sharpLayerZipPath: string;
declare const imageHandlerZipPath: string;
declare const serverHandlerZipPath: string;
declare const handler: slsHttp.Handler;
declare const handler$0: (event: APIGatewayProxyEventV2) => Promise<APIGatewayProxyStructuredResultV2>;
export { NextStandaloneStack, imageHandlerZipPath, serverHandlerZipPath, sharpLayerZipPath, handler as serverHandler, handler$0 as imageHandler };
